### {{ method.visibility }} {{ method.name }}

{{ method.summary|raw }}

{# Method signature #}
```php
{{ class.name }}::{{ method.name }}( {% for argument in method.arguments %}
{{- argument.types ? argument.types|join('|')~' ' }}
{{- argument.byReference ? '&' }}
{{- argument.name }}{{ argument.default ? ' = '~argument.default }}
{%- if not loop.last %}, {% endif %}
{%- endfor %} )
{{- method.response.types ? ': '~method.response.types|join('|') }}
```

{{ method.description|raw }}

{% if method.static %}* This method is **static**.{% endif %}
{% if method.deprecated %}* **Warning:** this method is **deprecated**. This means that this method will likely be removed in a future version.
{% endif %}

{% if method.arguments is not empty %}
**Parameters:**

| Parameter | Type | Description |
|-----------|------|-------------|
{% for argument in method.arguments %}
| `{{ argument.name }}` | **{{ argument.types ? argument.types|join('&#124;')|raw }}** | {{ argument.description|replace({'|': '&#124;'})|raw }} |
{% endfor %}

{% endif %}{# method.arguments is not empty #}

{% if method.response.description %}
**Return Value:**

{{ method.response.description|raw }}

{% endif %}

{% if method.tags.see is not empty or method.tags.link is not empty %}
**See Also:**

{% for see in method.tags.see %}
* {{ see.reference }} {% if see.description %}- {{ see.description|raw }}{% endif %}
{% endfor %}
{% for link in method.tags.link %}
* {{ link.link }} {% if link.description and link.description != link.link %}- {{ link.description|raw }}{% endif %}
{% endfor %}

{% endif %}{# method.tags.see || method.tags.link #}

---

